import { Cell } from './cells';
import { DrillEntry, DrillValue } from './types';
import * as Malloy from '@malloydata/malloy-interfaces';
export declare function canDrill(cell: Cell): boolean;
export declare function getStableDrillQuery(cell: Cell): Malloy.Query | undefined;
export declare function getStableDrillClauses(cell: Cell): Malloy.DrillOperation[] | undefined;
export declare function getDrillValues(cell: Cell): DrillValue[];
export declare function getDrillExpressions(cell: Cell): string[];
export declare function getDrillEntries(cell: Cell): DrillEntry[];
export declare function getStableDrillQueryMalloy(cell: Cell): string | undefined;
export declare function getDrillQueryMalloy(cell: Cell): string;
